USN-5986-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5986-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5986-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5986-1
Related
Published
2023-03-29T18:12:56.022264Z
Modified
2023-03-29T18:12:56.022264Z
Summary
xorg-server, xorg-server-hwe-18.04, xwayland vulnerability
Details

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled certain memory operations. An attacker could possibly use these issues to cause the X Server to crash, execute arbitrary code, or escalate privileges.

References

Affected packages

Ubuntu:22.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:21.1.3-2ubuntu2.9

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xvfb": "2:21.1.3-2ubuntu2.9",
            "xserver-xorg-legacy": "2:21.1.3-2ubuntu2.9",
            "xserver-xorg-dev": "2:21.1.3-2ubuntu2.9",
            "xorg-server-source": "2:21.1.3-2ubuntu2.9",
            "xserver-xorg-core": "2:21.1.3-2ubuntu2.9",
            "xserver-common": "2:21.1.3-2ubuntu2.9",
            "xnest": "2:21.1.3-2ubuntu2.9",
            "xserver-xephyr": "2:21.1.3-2ubuntu2.9"
        }
    ]
}

Ubuntu:22.04:LTS / xwayland

Package

Name
xwayland

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:22.1.1-1ubuntu0.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xwayland": "2:22.1.1-1ubuntu0.6"
        }
    ]
}

Ubuntu:20.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.20.13-1ubuntu1~20.04.8

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xdmx-tools": "2:1.20.13-1ubuntu1~20.04.8",
            "xvfb": "2:1.20.13-1ubuntu1~20.04.8",
            "xserver-xorg-legacy": "2:1.20.13-1ubuntu1~20.04.8",
            "xdmx": "2:1.20.13-1ubuntu1~20.04.8",
            "xserver-xorg-dev": "2:1.20.13-1ubuntu1~20.04.8",
            "xorg-server-source": "2:1.20.13-1ubuntu1~20.04.8",
            "xserver-xorg-core": "2:1.20.13-1ubuntu1~20.04.8",
            "xserver-common": "2:1.20.13-1ubuntu1~20.04.8",
            "xnest": "2:1.20.13-1ubuntu1~20.04.8",
            "xwayland": "2:1.20.13-1ubuntu1~20.04.8",
            "xserver-xephyr": "2:1.20.13-1ubuntu1~20.04.8"
        }
    ]
}

Ubuntu:18.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.19.6-1ubuntu4.15

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xdmx-tools": "2:1.19.6-1ubuntu4.15",
            "xserver-xephyr": "2:1.19.6-1ubuntu4.15",
            "xvfb": "2:1.19.6-1ubuntu4.15",
            "xserver-xorg-legacy": "2:1.19.6-1ubuntu4.15",
            "xdmx": "2:1.19.6-1ubuntu4.15",
            "xmir": "2:1.19.6-1ubuntu4.15",
            "xserver-xorg-dev": "2:1.19.6-1ubuntu4.15",
            "xorg-server-source": "2:1.19.6-1ubuntu4.15",
            "xserver-xorg-core": "2:1.19.6-1ubuntu4.15",
            "xserver-common": "2:1.19.6-1ubuntu4.15",
            "xnest": "2:1.19.6-1ubuntu4.15",
            "xwayland": "2:1.19.6-1ubuntu4.15",
            "xserver-xorg-xmir": "2:1.19.6-1ubuntu4.15"
        }
    ]
}

Ubuntu:18.04:LTS / xorg-server-hwe-18.04

Package

Name
xorg-server-hwe-18.04

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.20.8-2ubuntu2.2~18.04.11

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "xorg-server-source-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11",
            "xserver-xorg-dev-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11",
            "xserver-xorg-legacy-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11",
            "xserver-xorg-core-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11",
            "xserver-xephyr-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11",
            "xwayland-hwe-18.04": "2:1.20.8-2ubuntu2.2~18.04.11"
        }
    ]
}